Name:          libmbim
Version:       1.30.0
Release:       1mamba
Summary:       A library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.freedesktop.org/wiki/Software/libmbim/
Source:        https://gitlab.freedesktop.org/mobile-broadband/libmbim.git/%{version}/libmbim-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
## AUTOBUILDREQ-END

%description
libmbim is a glib-based library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson \
   -Dgtk_doc=true

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmbim-glib.so.*
%{_libdir}/girepository-1.0/Mbim-1.0.typelib
%{_libexecdir}/mbim-proxy
%doc AUTHORS LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmbim-glib
%{_includedir}/libmbim-glib/*.h
%{_libdir}/libmbim-glib.so
%{_datadir}/gir-1.0/Mbim-1.0.gir
%{_libdir}/pkgconfig/mbim-glib.pc
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/mbim-network
%{_bindir}/mbimcli
%{_datadir}/bash-completion/completions/mbimcli
%{_mandir}/man1/mbim-network.1*
%{_mandir}/man1/mbimcli.1*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libmbim-glib
%{_datadir}/gtk-doc/html/libmbim-glib/*

%changelog
* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 1.30.0-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 1.28.4-1mamba
- automatic version update by autodist

* Mon Jan 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28.2-1mamba
- update to 1.28.2

* Fri Apr 29 2022 Automatic Build System <autodist@mambasoft.it> 1.26.4-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 1.26.2-1mamba
- automatic version update by autodist

* Mon Aug 02 2021 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Sat Jun 05 2021 Automatic Build System <autodist@mambasoft.it> 1.24.8-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 1.24.6-1mamba
- automatic version update by autodist

* Sat Oct 03 2020 Automatic Build System <autodist@mambasoft.it> 1.24.4-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 1.24.2-1mamba
- automatic version update by autodist

* Fri Jun 26 2020 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Sat Dec 21 2019 Automatic Build System <autodist@mambasoft.it> 1.20.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2019 Automatic Build System <autodist@mambasoft.it> 1.20.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Sat Apr 13 2019 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Thu Jan 25 2018 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Wed Feb 11 2015 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Fri Jan 16 2015 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Tue Nov 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.0-1mamba
- update to 1.10.0

* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Nov 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- package created using the webbuild interface
